body.locked-screen {
    pointer-events: none !important;
    user-select: none;
    cursor: wait !important;
}
            .no-scrollbar::-webkit-scrollbar {
                display: none;
            }
            .no-scrollbar {
                -ms-overflow-style: none;
                scrollbar-width: none;
            }
            
.h-24 {height: 96px;}

#dynamic-bottom-nav {
   
    z-index: 2147483647 !important; 
    transition: bottom 0.3s ease-in-out; /* એનિમેશન સાથે ઉપર જશે */
    position: fixed;
    left: 50%;
    transform: translateX(-50%);
}

/* જો ગૂગલની એડ બોડીને ઢાંકતી હોય તો */
.google-anchor-ad-container {
    z-index: 2147483646 !important; /* નેવિગેશન બાર કરતા એક ઓછો */
}



        .ad-container {
            display: flex;
            justify-content: center;
            align-items: center;
            margin: 15px 0;
            border-radius: 12px;
            overflow: hidden;
        }

        .option-btn {
            border: 2px solid #e5e7eb;
            padding: 16px;
            border-radius: 16px;
            width: 100%;
            font-weight: 700;
            background: white;
            margin-bottom: 12px;
            transition: 0.1s;
            text-align: left;
            box-shadow: 0 4px 0 #eee;
            font-size:12px;
        }

        .correct {
            background-color: #d1fae5 !important;
            border-color: #10b981 !important;
            color: #065f46;
            box-shadow: 0 4px 0 #10b981 !important;
        }

        .wrong {
            background-color: #fee2e2 !important;
            border-color: #ef4444 !important;
            color: #991b1b;
            box-shadow: 0 4px 0 #ef4444 !important;
        }

        

        #quiz-ui {
            transition: transform 0.6s cubic-bezier(0.4, 0, 0.2, 1);
            position: relative;
            will-change: transform;
        }

        
        #explanation-box {
            position: fixed;
            bottom: 0;
            left: 0;
            right: 0;
            background: white;
            border-radius: 30px 30px 0 0;
            box-shadow: 0 -10px 25px rgba(0, 0, 0, 0.1);
            transform: translateY(100%);
            transition: transform 0.4s cubic-bezier(0.4, 0, 0.2, 1);
            z-index: 100;
            max-width: 28rem;
            margin: 0 auto;
            padding-bottom: 20px;
            height: 200px;
        }

        #explanation-box.show {
            transform: translateY(0);
        }

        .rank-item {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 14px 18px;
            border-radius: 15px;
            margin-bottom: 10px;
            background: white;
            border: 1px solid #f3f4f6;
        }

        .rank-1 {
            background: linear-gradient(90deg, #ffd700, #ffae00);
            color: white;
            border: none;
            font-weight: 900;
        }

        .searching-active {
            animation: pulse 1.5s infinite;
            pointer-events: none;
        }

        @keyframes pulse {
            0% {
                transform: scale(1);
            }

            50% {
                transform: scale(0.98);
            }

            100% {
                transform: scale(1);
            }
        }

        .feature-item {
            display: flex;
            align-items: center;
            gap: 15px;
            padding: 15px;
            background: #f8fafc;
            border-radius: 18px;
            border: 1px solid #e2e8f0;
        }

        .feature-icon {
            width: 40px;
            height: 40px;
            border-radius: 12px;
            display: flex;
            align-items: center;
            justify-content: center;
            font-size: 18px;
        }

        @keyframes buzz {
            0% {
                transform: translate(1px, 1px) rotate(0deg);
            }

            10% {
                transform: translate(-1px, -2px) rotate(-1deg);
            }

            20% {
                transform: translate(-3px, 0px) rotate(1deg);
            }

            30% {
                transform: translate(3px, 2px) rotate(0deg);
            }

            40% {
                transform: translate(1px, -1px) rotate(1deg);
            }

            50% {
                transform: translate(-1px, 2px) rotate(-1deg);
            }

            60% {
                transform: translate(-3px, 1px) rotate(0deg);
            }

            70% {
                transform: translate(3px, 1px) rotate(-1deg);
            }

            80% {
                transform: translate(-1px, -1px) rotate(1deg);
            }

            90% {
                transform: translate(1px, 2px) rotate(0deg);
            }

            100% {
                transform: translate(1px, -2px) rotate(-1deg);
            }
        }

        .buzzing {
            animation: buzz 0.3s;
            animation-iteration-count: 2;
        }

        .dark body {
            background-color: #030712;
            color: #f9fafb;
        }

        .dark .option-btn {
            background-color: #111827;
            border-color: #374151;
            color: #f3f4f6;
            box-shadow: 0 4px 0 #1f2937;
        }

        .dark .option-btn:hover {
            background-color: #1f2937;
        }

        .dark #explanation-box {
            background-color: #111827;
            color: white;
        }

        .dark .rank-item {
            background-color: #111827;
            border-color: #1f2937;
            color: white;
        }

        .dark .feature-item {
            background-color: #1f2937;
            border-color: #374151;
        }

        .dark h1.text-3xl.font-black.text-gray-900.leading-tight {
            color: #fff;
        }

        .dark h3.font-black.text-gray-800.text-lg {
            color: #fff;
        }

        .dark h2.text-3xl.font-black.mb-1.leading-tight.uppercase {
            color: #fff;
        }

        .dark h3.font-black.text-lg.mb-4.flex.items-center.gap-2.text-gray-800 {
            color: #fff;
        }

        .dark input#user-name-input {
            color: #000;
        }

        .dark button.w-full.bg-black.text-white.py-5.rounded-2xl.font-black.shadow-lg.mb-3 {
            background-color: gray;
        }

        .dark h2#q-title {
            color: #fff;
        }

        .dark button.option-btn.correct {
            color: #000;
        }

        .dark button.option-btn.wrong {
            color: #000;
        }
        
      .h-24 {
                    height: 96px;
                }  
                
        input[type=number]::-webkit-inner-spin-button,
        input[type=number]::-webkit-outer-spin-button {
            -webkit-appearance: none;
            margin: 0;
        }

        .glass-panel {
            background: rgba(255, 255, 255, 0.03);
            backdrop-filter: blur(8px);
            border: 1px solid rgba(156, 163, 175, 0.2);
            border-radius: 28px;
        }
         
        
/*[id^="div-gpt-ad-"] {*/
/*    height: 250px !important;*/
/*    display: flex !important;*/
/*    align-items: center;*/
/*    justify-content: center;*/
    
/*}*/


    

